/*
* CLIF is a Load Injection Framework
* Copyright (C) 2004 France Telecom R&D
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* CLIF 
*
* Contact: clif@objectweb.org
*/
package org.objectweb.clif.isac.plugins.httpmatrix10.actions;

import org.objectweb.clif.isac.plugins.httpmatrix10.SessionObject;

/**
 * This class implements the matrix test methods
 * 
 * @author JC Meillaud
 * @author A Peyrard
 */
public class MatrixTests {
	/**
	 * Analyze if the matrix has a next Link
	 * @param sessionObject The session object
	 * @return True if the matrix has a next link, else false
	 */
	public static boolean hasNext(SessionObject sessionObject) {
		return !sessionObject.isFinishState();
	}
}
